@import 'brands-cat-general.css';

.grid-info-container {
	display: grid;
	gap: 0px 2em;
  padding-bottom: 10em;
	grid-template-rows: 1fr;
	grid-template-areas: ". brands-content .";
	grid-template-columns: 14.5vw 67vw 15.5vw;
}

.brands-content{
	display: grid;
  gap: 30px 10px;
	justify-items: center;
	grid-template-rows: auto;
	grid-template-columns: repeat(auto-fill, minmax(min(100%, 11rem), 1fr));
}

 .brands-content a{
  display: flex;
  transition: .3s;
  align-items: center;
  flex-direction: column-reverse;
}

.brands-content a:hover {transform: scale(0.9, 0.9) !important;}

.brands-content a img{
  width: 150px;
  height: 120px;
  padding: 10px;
  object-fit: contain;
  border-radius: 15px;
  background-color: whitesmoke;
}

.brands-content a img:hover{
	transition: .4s;
	transform: scale(1.1);
	border-radius: 15px;
	border: 5px solid hsl(349.63deg 95.54% 43.92%);
}

.brands-content a span{
	margin: 0;
	max-width: 100%;
	font-weight: bold;
	text-align: center;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden !important;
	font-size: clamp(.95em, 1.5vw, 1.3em);
}

.publi-space{margin: 5em 0 !important;}

/* Responsive Mode */
@media (max-width: 1550px) {
	.brands-content {grid-template-columns: repeat(auto-fill, minmax(min(100%, 10rem), 1fr));}
}

@media (max-width: 1440px) {
	.grid-info-container {grid-template-columns: 230px 1fr 230px;}
}

@media (max-width: 1400px) {
	.brands-content{grid-template-columns: repeat(auto-fill, minmax(min(100%, 9rem), 1fr));}
	.brands-content a img {height: 110px;}
}

@media (max-width: 1200px) {
	.grid-info-container{
		gap: 0;
		display: flex;
		padding: 0 30px 2em;
	}

	.brands-content {max-width: 100%;}
	.brands-content a span{max-width: 90%;}
}

@media (max-width: 768px) {
	.grid-info-container {padding: 0 1.5em;}
	.brands-content {gap: 30px 17px;}

	.brands-content a img {
		width: 100px;
		height: 100px;
	}
}

@media (max-width: 600px) {
	.brands-content {
		gap: 15px 10px;
		grid-template-columns: repeat(auto-fill, minmax(min(100%, 29%), 1fr));
	}

	.brands-content a img {
	  width: 95px;
	  height: 85px;
	}

	.brands-content a span {font-size: 16px;}
}